/*
    TemplateInfoCmd.h - show template info

    Will Eighteen, 2006: will@opaline.demon.co.uk
*/

#ifndef TEMPLATEINFOCMD_H
#define TEMPLATEINFOCMD_H

#include <NoUndoCmd.h>

#define BUFSIZE 1024

class DMenuCmd;

class TemplateInfoCmd : public NoUndoCmd
{
	protected:
		virtual void doCommand();	// show wave info menu
		
	public:
		TemplateInfoCmd ( const char *, int active = TRUE );
		virtual const char *const className() { return ( "TemplateInfoCmd" ); }

	private:
		static void dMenuSelectionCallback ( void *, unsigned int, char * );
		
		// 'wave info' infoDialogManager callbacks
		static void infoOkCallback ( void * );
		static void infoCancelCallback ( void * );

		void templateInfo ( unsigned int );

		unsigned _arrayItems;	// num items on menu
		Boolean _menuRealised;
		unsigned int _selectedItem;
		DMenuCmd *_menu;
};

#endif

/*
  Notes:
  
  Like ManageCmd, there is no way to determine which windows were already
  iconified, so undo is difficult to support.
*/
